import utils_default from "../utils/index.js";
import color_default from "../color/index.js";
var luminance_default = (n) => {
	let { r, g: i, b: a } = color_default.parse(n), o = .2126 * utils_default.channel.toLinear(r) + .7152 * utils_default.channel.toLinear(i) + .0722 * utils_default.channel.toLinear(a);
	return utils_default.lang.round(o);
};
export { luminance_default as default };
